This is Cyclotomic.info, produced by Macaulay2, version 1.21

Cyclotomic -- cyclotomic fields
*******************************

Description
===========

Cyclotomic is a package for cyclotomic fields.  It is used in to construct
extensions of the coefficient field during binomial primary decomposition using
the package Binomials.

Author
======

  * Thomas Kahle (see http://thomas-kahle.de ) <thomas.kahle@jpberlin.de>

Version
=======

This documentation describes version 1.0 of Cyclotomic.

Source code
===========

The source code from which this documentation is derived is in the file
Cyclotomic.m2 (see common/share/Macaulay2/Cyclotomic.m2 ).

Exports
=======

  * Functions and commands
      * cyclotomicField -- cyclotomic field
        construction
      * cyclotomicPoly -- Cyclotomic Polynomial
      * findRootPower -- Find the order of the root in
        the coefficients of polynomial ring over a cyclotomic field
      * joinCyclotomic -- Join ideals in polynomial
        rings over different cyclotomic fields

For the programmer
==================

The object Cyclotomic, is a package (Macaulay2Doc).

cyclotomicField -- cyclotomic field construction
************************************************

Synopsis
========

  * Usage:
        cyclotomicField (i)
  * Inputs:
      * i, an integer, the power of the root to be adjoined.
  * Outputs:
      * S, A cyclotomic field with $1^(1/i)$ adjoined

Description
===========

+------------------------------------+
|i1 : S = cyclotomicField (5)        |
|                                    |
|o1 = S                              |
|                                    |
|o1 : PolynomialRing                 |
+------------------------------------+
|i2 : isField S                      |
|                                    |
|o2 = true                           |
+------------------------------------+
|i3 : r = S_0                        |
|                                    |
|o3 = ww                             |
|       5                            |
|                                    |
|o3 : S                              |
+------------------------------------+
|i4 : (r^9, r^10, r^11)              |
|                                    |
|          3     2                   |
|o4 = (- ww  - ww  - ww  - 1, 1, ww )|
|          5     5     5           5 |
|                                    |
|o4 : Sequence                       |
+------------------------------------+
|i5 : T = S[x,y]                     |
|                                    |
|o5 = T                              |
|                                    |
|o5 : PolynomialRing                 |
+------------------------------------+
|i6 : I = ideal (x-r)                |
|                                    |
|o6 = ideal(x - ww )                 |
|                 5                  |
|                                    |
|o6 : Ideal of T                     |
+------------------------------------+
|i7 : dim I                          |
|                                    |
|o7 = 1                              |
+------------------------------------+

Caveat
======

Strange things can happen with the reduction of the coefficients. In M2 v <=
1.2 dimension is off by one.

See also
========

  * cyclotomicPoly -- Cyclotomic Polynomial

For the programmer
==================

The object cyclotomicField, is a function closure (Macaulay2Doc).

cyclotomicPoly -- Cyclotomic Polynomial
***************************************

Synopsis
========

  * Usage:
        cyclotomicPoly (i,v)
  * Inputs:
      * i, an integer, the power of a root of unity.
      * v, a variable name in which the polynomial is returned.
  * Outputs:
      * f, The minimal polynomial of the i-th root of unity.

Description
===========

+------------------------------+
|i1 : R = QQ[ww]               |
|                              |
|o1 = R                        |
|                              |
|o1 : PolynomialRing           |
+------------------------------+
|i2 : f = cyclotomicPoly (6,ww)|
|                              |
|       2                      |
|o2 = ww  - ww + 1             |
|                              |
|o2 : R                        |
+------------------------------+

See also
========

  * cyclotomicField -- cyclotomic field construction

For the programmer
==================

The object cyclotomicPoly, is a function closure (Macaulay2Doc).

findRootPower -- Find the order of the root in the coefficients of polynomial ring over a cyclotomic field
**********************************************************************************************************

Synopsis
========

  * Usage:
        findRootPower R
  * Inputs:
      * R, a polynomial ring over a cyclotomic field
  * Outputs:
      * i, The order of the adjoined root of unity, or 2 if the coefficient
        field is QQ

Description
===========

+--------------------------+
|i1 : S = cyclotomicField 5|
|                          |
|o1 = S                    |
|                          |
|o1 : PolynomialRing       |
+--------------------------+
|i2 : T = S[x,y]           |
|                          |
|o2 = T                    |
|                          |
|o2 : PolynomialRing       |
+--------------------------+
|i3 : findRootPower T      |
|                          |
|o3 = 5                    |
+--------------------------+

See also
========

  * cyclotomicField -- cyclotomic field construction

For the programmer
==================

The object findRootPower, is a function closure (Macaulay2Doc).

joinCyclotomic -- Join ideals in polynomial rings over different cyclotomic fields
**********************************************************************************

Synopsis
========

  * Usage:
        joinCyclotomic l
  * Inputs:
      * li, a list of ideals in polynomial rings over cyclotomic fields
  * Outputs:
      * li2, The list of ideals in a common ring.

Description
===========

+--------------------------------------------------+
|i1 : F = cyclotomicField 3; G = cyclotomicField 4;|
+--------------------------------------------------+
|i3 : R = F[t]; I = ideal (t-F_0^2)                |
|                                                  |
|o4 = ideal(t + ww  + 1)                           |
|                 3                                |
|                                                  |
|o4 : Ideal of R                                   |
+--------------------------------------------------+
|i5 : S = G[t]; J = ideal (t^2-G_0)                |
|                                                  |
|            2                                     |
|o6 = ideal(t  - ww )                              |
|                  4                               |
|                                                  |
|o6 : Ideal of S                                   |
+--------------------------------------------------+
|i7 : joinCyclotomic {I,J}                         |
|                                                  |
|                  2           2     3             |
|o7 = {ideal(t + ww  ), ideal(t  - ww  )}          |
|                  12                12            |
|                                                  |
|o7 : List                                         |
+--------------------------------------------------+

See also
========

  * cyclotomicField -- cyclotomic field construction

For the programmer
==================

The object joinCyclotomic, is a function closure (Macaulay2Doc).